﻿* Encoding: UTF-8.

*Outcome: Fall Math Performance (i.e., X1Math)
*Dataset: X1MathSMFinal.sav
*Create Five Cross-Validation Datasets.
DATASET ACTIVATE DataSet1.
COMPUTE X1MathCV1=X1Math * CV1.
COMPUTE X1MathCV2=X1Math * CV2.
COMPUTE X1MathCV3=X1Math * CV3.
COMPUTE X1MathCV4=X1Math * CV4.
COMPUTE X1MathCV5=X1Math * CV5.
EXECUTE.

*Use the whole fall math performance dataset with the six predictors with no interactions.
UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /SAVE=PRED RESID
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL.

*Diagnose the normality of the residuals.
 EXAMINE VARIABLES=RES_1
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*Diagnose of the higher order terms of the continuous variables:
 *with School Percent Free or Reduced Price Lunch (i.e., FRPL)
 * Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=FRPL RES_1 MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: FRPL=col(source(s), name("FRPL"))
  DATA: RES_1=col(source(s), name("RES_1"))
  GUIDE: axis(dim(1), label("FRPL"))
  GUIDE: axis(dim(2), label("Residual for X1Math"))
  GUIDE: text.title(label("Scatter Plot of Residual for X1Math by FRPL"))
  ELEMENT: point(position(FRPL*RES_1))
END GPL.
 
*Diagnose of the higher order terms of the continuous variables:
 *with Socioeconomic Status (i.e., SES)
 * Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=SES RES_1 MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: SES=col(source(s), name("SES"))
  DATA: RES_1=col(source(s), name("RES_1"))
  GUIDE: axis(dim(1), label("SES"))
  GUIDE: axis(dim(2), label("Residual for X1Math"))
  GUIDE: text.title(label("Scatter Plot of Residual for X1Math by SES"))
  ELEMENT: point(position(SES*RES_1))
END GPL.

*Diagnose using the plot of residuals against predicted values
* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=PRE_1 RES_1 MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: PRE_1=col(source(s), name("PRE_1"))
  DATA: RES_1=col(source(s), name("RES_1"))
  GUIDE: axis(dim(1), label("Predicted Value for X1Math"))
  GUIDE: axis(dim(2), label("Residual for X1Math"))
  GUIDE: text.title(label("Scatter Plot of Residual for X1Math by Predicted Value for X1Math"))
  ELEMENT: point(position(PRE_1*RES_1))
END GPL.

*Obtain the final ANCOVA model with all the significant two-way interactions. 
*To investigate the interaction of predictors, a two-way interaction was added to the ANCOVA model one at a time;
 *Added X1Locale*X1Region.
 UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL X1Locale*X1Region.

 * Added Gender*X1Region.  
UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL Gender*X1Region.

*Added Race*X1Region.
UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL Race*X1Region.

*Added SES*X1Region.
UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL SES*X1Region.

*Added FRPL*X1Region.
UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL FRPL*X1Region.

*Added Gender*X1Locale.
UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL Gender*X1Locale.

*Added Race*X1Locale.
UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL Race*X1Locale.

*Added SES*X1Locale.
UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL SES*X1Locale.

*Added FRPL*X1Locale.
UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /SAVE=PRED RESID
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL FRPL*X1Locale.

*Added Gender*Race.
UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /SAVE=PRED RESID
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL Gender*Race.

*Added Gender*SES.
UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /SAVE=PRED RESID
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL Gender*SES.

*Added FRPL*Gender.
UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /SAVE=PRED RESID
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL FRPL*Gender.

*Added Race*SES.
UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /SAVE=PRED RESID
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL Race*SES.

*Added FRPL*Race.
UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /SAVE=PRED RESID
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL FRPL*Race.

*Added FRPL*SES.
UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /SAVE=PRED RESID
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL FRPL*SES.

*All the significant two-way interactions were retained in the ANCOVA model (based on the results of the original data).
  UNIANOVA X1Math BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /SAVE=PRED RESID
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL Gender*SES Race*X1Locale X1Locale*X1Region 
    FRPL*Race FRPL*X1Region.

*Diagnose the normality of the residuals.
 EXAMINE VARIABLES=RES_2
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*Diagnose of the higher order terms of the continuous variables:
 *with School Percent Free or Reduced Price Lunch (i.e., FRPL)
 * Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=FRPL RES_2 MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: FRPL=col(source(s), name("FRPL"))
  DATA: RES_2=col(source(s), name("RES_2"))
  GUIDE: axis(dim(1), label("FRPL"))
  GUIDE: axis(dim(2), label("Residual for X1Math"))
  GUIDE: text.title(label("Scatter Plot of Residual for X1Math by FRPL"))
  ELEMENT: point(position(FRPL*RES_2))
END GPL.
 
*Diagnose of the higher order terms of the continuous variables:
 *with Socioeconomic Status (i.e., SES)
 * Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=SES RES_2 MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: SES=col(source(s), name("SES"))
  DATA: RES_2=col(source(s), name("RES_2"))
  GUIDE: axis(dim(1), label("SES"))
  GUIDE: axis(dim(2), label("Residual for X1Math"))
  GUIDE: text.title(label("Scatter Plot of Residual for X1Math by SES"))
  ELEMENT: point(position(SES*RES_2))
END GPL.

*Diagnose using the plot of residuals against predicted values
* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=PRE_2 RES_2 MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: PRE_2=col(source(s), name("PRE_2"))
  DATA: RES_2=col(source(s), name("RES_2"))
  GUIDE: axis(dim(1), label("Predicted Value for X1Math"))
  GUIDE: axis(dim(2), label("Residual for X1Math"))
  GUIDE: text.title(label("Scatter Plot of Residual for X1Math by Predicted Value for X1Math"))
  ELEMENT: point(position(PRE_2*RES_2))
END GPL.

*Use the Five Cross-Validation Data to calculate the mean absolute error..
*Use the CV1 fall math performance data (i.e., X1MathCV1) with the six predictors with no interactions.
RECODE X1MathCV1 (0=SYSMIS).
EXECUTE.
* Generalized Linear Models.
GENLIN X1MathCV1 BY X1Region X1Locale Gender Race (ORDER=ASCENDING) WITH SES FRPL
  /MODEL X1Region X1Locale Gender Race SES FRPL INTERCEPT=YES
 DISTRIBUTION=NORMAL LINK=IDENTITY
  /CRITERIA SCALE=MLE COVB=MODEL PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) 
    CILEVEL=95 CITYPE=WALD LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION
  /SAVE MEANPRED.
COMPUTE CV1ErrorPredictors=ABS(X1Math-MeanPredicted).
EXECUTE.
**Use the CV1 fall math performance data (i.e., X1MathCV1) with the six predictors and significant two-way interactions.
* Generalized Linear Models.
GENLIN X1MathCV1 BY X1Region X1Locale Gender Race (ORDER=ASCENDING) WITH SES FRPL
  /MODEL X1Region X1Locale Gender Race SES FRPL Gender*SES X1Locale*Race X1Region*X1Locale 
    Race*FRPL X1Region*FRPL INTERCEPT=YES
 DISTRIBUTION=NORMAL LINK=IDENTITY
  /CRITERIA SCALE=MLE COVB=MODEL PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) 
    CILEVEL=95 CITYPE=WALD LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION
  /SAVE MEANPRED.
COMPUTE CV1ErrorInteractions=ABS(X1Math-MeanPredicted_1).
EXECUTE.
*Use the CV2 fall math performance data (i.e., X1MathCV2) with the six predictors with no interactions.
RECODE X1MathCV2 (0=SYSMIS).
EXECUTE.
* Generalized Linear Models.
GENLIN X1MathCV2 BY X1Region X1Locale Gender Race (ORDER=ASCENDING) WITH SES FRPL
  /MODEL X1Region X1Locale Gender Race SES FRPL INTERCEPT=YES
 DISTRIBUTION=NORMAL LINK=IDENTITY
  /CRITERIA SCALE=MLE COVB=MODEL PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) 
    CILEVEL=95 CITYPE=WALD LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION
  /SAVE MEANPRED.
COMPUTE CV2ErrorPredictors=ABS(X1Math-MeanPredicted_2).
EXECUTE.
**Use the CV2 fall math performance data (i.e., X1MathCV2) with the six predictors and significant two-way interactions.
* Generalized Linear Models.
GENLIN X1MathCV2 BY X1Region X1Locale Gender Race (ORDER=ASCENDING) WITH SES FRPL
  /MODEL X1Region X1Locale Gender Race SES FRPL Gender*SES X1Locale*Race X1Region*X1Locale 
    Race*FRPL X1Region*FRPL INTERCEPT=YES
 DISTRIBUTION=NORMAL LINK=IDENTITY
  /CRITERIA SCALE=MLE COVB=MODEL PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) 
    CILEVEL=95 CITYPE=WALD LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION
  /SAVE MEANPRED.
COMPUTE CV2ErrorInteractions=ABS(X1Math-MeanPredicted_3).
EXECUTE.
*Use the CV3 fall math performance data (i.e., X1MathCV3) with the six predictors with no interactions.
RECODE X1MathCV3 (0=SYSMIS).
EXECUTE.
* Generalized Linear Models.
GENLIN X1MathCV3 BY X1Region X1Locale Gender Race (ORDER=ASCENDING) WITH SES FRPL
  /MODEL X1Region X1Locale Gender Race SES FRPL INTERCEPT=YES
 DISTRIBUTION=NORMAL LINK=IDENTITY
  /CRITERIA SCALE=MLE COVB=MODEL PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) 
    CILEVEL=95 CITYPE=WALD LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION
  /SAVE MEANPRED.
COMPUTE CV3ErrorPredictors=ABS(X1Math-MeanPredicted_4).
EXECUTE.
**Use the CV3 fall math performance data (i.e., X1MathCV3) with the six predictors and significant two-way interactions.
* Generalized Linear Models.
GENLIN X1MathCV3 BY X1Region X1Locale Gender Race (ORDER=ASCENDING) WITH SES FRPL
  /MODEL X1Region X1Locale Gender Race SES FRPL Gender*SES X1Locale*Race X1Region*X1Locale 
    Race*FRPL X1Region*FRPL INTERCEPT=YES
 DISTRIBUTION=NORMAL LINK=IDENTITY
  /CRITERIA SCALE=MLE COVB=MODEL PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) 
    CILEVEL=95 CITYPE=WALD LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION
  /SAVE MEANPRED.
COMPUTE CV3ErrorInteractions=ABS(X1Math-MeanPredicted_5).
EXECUTE.
*Use the CV4 fall math performance data (i.e., X1MathCV4) with the six predictors with no interactions.
RECODE X1MathCV4 (0=SYSMIS).
EXECUTE.
* Generalized Linear Models.
GENLIN X1MathCV4 BY X1Region X1Locale Gender Race (ORDER=ASCENDING) WITH SES FRPL
  /MODEL X1Region X1Locale Gender Race SES FRPL INTERCEPT=YES
 DISTRIBUTION=NORMAL LINK=IDENTITY
  /CRITERIA SCALE=MLE COVB=MODEL PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) 
    CILEVEL=95 CITYPE=WALD LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION
  /SAVE MEANPRED.
COMPUTE CV4ErrorPredictors=ABS(X1Math-MeanPredicted_6).
EXECUTE.
**Use the CV4 fall math performance data (i.e., X1MathCV4) with the six predictors and significant two-way interactions.
* Generalized Linear Models.
GENLIN X1MathCV4 BY X1Region X1Locale Gender Race (ORDER=ASCENDING) WITH SES FRPL
  /MODEL X1Region X1Locale Gender Race SES FRPL Gender*SES X1Locale*Race X1Region*X1Locale 
    Race*FRPL X1Region*FRPL INTERCEPT=YES
 DISTRIBUTION=NORMAL LINK=IDENTITY
  /CRITERIA SCALE=MLE COVB=MODEL PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) 
    CILEVEL=95 CITYPE=WALD LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION
  /SAVE MEANPRED.
COMPUTE CV4ErrorInteractions=ABS(X1Math-MeanPredicted_7).
EXECUTE.
*Use the CV5 fall math performance data (i.e., X1MathCV5) with the six predictors with no interactions.
RECODE X1MathCV5 (0=SYSMIS).
EXECUTE.
* Generalized Linear Models.
GENLIN X1MathCV5 BY X1Region X1Locale Gender Race (ORDER=ASCENDING) WITH SES FRPL
  /MODEL X1Region X1Locale Gender Race SES FRPL INTERCEPT=YES
 DISTRIBUTION=NORMAL LINK=IDENTITY
  /CRITERIA SCALE=MLE COVB=MODEL PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) 
    CILEVEL=95 CITYPE=WALD LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION
  /SAVE MEANPRED.
COMPUTE CV5ErrorPredictors=ABS(X1Math-MeanPredicted_8).
EXECUTE.
**Use the CV5 fall math performance data (i.e., X1MathCV5) with the six predictors and significant two-way interactions.
* Generalized Linear Models.
GENLIN X1MathCV5 BY X1Region X1Locale Gender Race (ORDER=ASCENDING) WITH SES FRPL
  /MODEL X1Region X1Locale Gender Race SES FRPL Gender*SES X1Locale*Race X1Region*X1Locale 
    Race*FRPL X1Region*FRPL INTERCEPT=YES
 DISTRIBUTION=NORMAL LINK=IDENTITY
  /CRITERIA SCALE=MLE COVB=MODEL PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) 
    CILEVEL=95 CITYPE=WALD LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION
  /SAVE MEANPRED.
COMPUTE CV5ErrorInteractions=ABS(X1Math-MeanPredicted_9).
EXECUTE.
*Compute the errors for the ANCOVA models with six predictors separately for the test set and the training set using each of the five cross-validation sets. 
EXAMINE VARIABLES=CV1ErrorPredictors BY CV1
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
EXAMINE VARIABLES=CV2ErrorPredictors BY CV2
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
EXAMINE VARIABLES=CV3ErrorPredictors BY CV3
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
EXAMINE VARIABLES=CV4ErrorPredictors BY CV4
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
EXAMINE VARIABLES=CV1ErrorPredictors BY CV5
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Once the errors across the five sets were obtained, the mean absolute error was calculated by taking the average of these errors separately for the training set and the test set.
*Compute the errors for the ANCOVA models with six predictors separately for the test set and the training set using each of the five cross-validation sets. 
EXAMINE VARIABLES=CV1ErrorInteractions BY CV1
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
EXAMINE VARIABLES=CV2ErrorInteractions BY CV2
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
EXAMINE VARIABLES=CV3ErrorInteractions BY CV3
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
EXAMINE VARIABLES=CV4ErrorInteractions BY CV4
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
EXAMINE VARIABLES=CV1ErrorInteractions BY CV5
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Once the errors across the five sets were obtained, the mean absolute error was calculated by taking the average of these errors separately for the training set and the test set.

*The above procedures were repeated for each of the outcome variables below: Spring Math Performance, Math Gain, Fall Reading Performance, Spring Reading Performance, and Reading Gain. 
* Only the syntax for the final ANCOVA models for these outcome variables are reported below. 

*Outcome: Spring Math Performance (i.e., X2Math).
DATASET ACTIVATE DataSet2.
UNIANOVA X2Math BY X2Region X2Locale Gender Race WITH X1Math SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X2Region X2Locale Gender Race X1Math SES FRPL.

*Outcome: Math Gain (i.e., MathGain).
DATASET ACTIVATE DataSet2.
UNIANOVA MathGain BY X2Region X2Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X2Region X2Locale Gender Race SES FRPL.

*Outcome: Fall Reading Performance (i.e., X1Reading).
DATASET ACTIVATE DataSet3.
UNIANOVA X1Reading BY X1Region X1Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X1Region X1Locale Gender Race SES FRPL.

*Outcome: Spring Reading Performance (i.e., X2Reading).
DATASET ACTIVATE DataSet4.
UNIANOVA X2Reading BY X2Region X2Locale Gender Race WITH X1Reading SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X2Region X2Locale Gender Race X1Reading SES FRPL.

*Outcome: Reading Gain (i.e., ReadingGain).
DATASET ACTIVATE DataSet4.
UNIANOVA ReadingGain BY X2Region X2Locale Gender Race WITH SES FRPL
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT ETASQ PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=X2Region X2Locale Gender Race SES FRPL.





